package com.jay.monitor.data.server.daos;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jay.monitor.data.server.models.entity.BackstageUrl;
import com.jay.monitor.data.server.models.entity.BackstageUrlExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BackstageUrlMapper extends BaseMapper<BackstageUrl> {
    int countByExample(BackstageUrlExample example);

    int deleteByExample(BackstageUrlExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BackstageUrl record);

    int insertSelective(BackstageUrl record);

    List<BackstageUrl> selectByExampleWithBLOBs(BackstageUrlExample example);

    List<BackstageUrl> selectByExample(BackstageUrlExample example);

    BackstageUrl selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BackstageUrl record, @Param("example") BackstageUrlExample example);

    int updateByExampleWithBLOBs(@Param("record") BackstageUrl record, @Param("example") BackstageUrlExample example);

    int updateByExample(@Param("record") BackstageUrl record, @Param("example") BackstageUrlExample example);

    int updateByPrimaryKeySelective(BackstageUrl record);

    int updateByPrimaryKeyWithBLOBs(BackstageUrl record);

    int updateByPrimaryKey(BackstageUrl record);
}